Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519232 - OSP11 - Ironic is failing to introspect the overcloud nodes.
Summary: OSP11 - Ironic is failing to introspect the overcloud nodes.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-inspector
Version: 11.0 (Ocata)
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 13:18 UTC by Ziv
Modified: 2017-12-10 22:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-04 13:22:01 UTC


Attachments (Terms of Use)
ironic inspector log (deleted)
2017-11-30 13:18 UTC, Ziv
no flags Details
Introspection-output.log (deleted)
2017-12-10 22:42 UTC, Yariv
no flags Details

Description Ziv 2017-11-30 13:18:18 UTC
Created attachment 1360929 [details]
ironic inspector log

Description of problem:
Introspection is failing with the following error:
http://pastebin.test.redhat.com/536564

Version-Release number of selected component (if applicable):
puddle - 2017-11-28.4

How reproducible:
always

Steps to Reproduce:
1. register the overcloud node
2. introspect the overcloud nodes


Actual results:
2017-11-30 06:42:14.721 26049 ERROR ironic_inspector.utils [-] Could not find node 9ea6ce5f-0355-41e9-bf5b-34d0db254334 in cache
2017-11-30 06:42:14.721 26049 DEBUG ironic_inspector.main [-] Returning error to client: Could not find node 9ea6ce5f-0355-41e9-bf5b-34d0db254334 in cache error_response /usr/lib/python2.7/site-packages/ironic_inspector/main.py:79

Expected results:
introspection should finish successfully.

Additional info:
please see the attached log.

Comment 2 Ziv 2017-12-04 13:22:01 UTC
The issue was a misconfiguration within the env.

Thanks.

Comment 3 Yariv 2017-12-10 22:42:52 UTC
Created attachment 1365738 [details]
Introspection-output.log


Note You need to log in before you can comment on or make changes to this bug.